1. IBAN Validation
Developer Portal
  • API Catalogue
  • Confirmation of Payee (CoP) Requester
    • API Specifications
      POST
  • Confirmation of Payee (CoP) Responder
    • API Specifications
      POST
  • Requester – Payee Verification (JSON)
    • API Specifications
      POST
  • Requester – Payee Verification (XML)
    • API Specifications
      POST
  • Responder - Combined Lookup
    • API Specifications
      POST
  • IBAN Validation
    • API Specifications
      POST
  • Requester Batch Check Payee
    • API Specifications
      POST
  • Responder Accounts Upload
    • API Specifications
      POST
  • Schemas
    • 400
    • 401
    • ErrorData
    • ErrorResponse
    • NameVerificationRequest
    • NameVerificationRequestData
    • ResponseData
    • Response
    • VerificationReport
    • SuccessResponse
    • NameVerificationData
    • NameVerification
    • BankCustomerResponse
    • ResponseMessage
    • BankAccountValidationRequest
    • BankAccountValidationRequestData
    • BankAccountValidationResponse
    • TransformedResponse
    • AccountId
    • CreditTransferTransactionInformation
    • Creditor
    • CreditorAccount
    • CreditorAgent
    • CreditorIdentification
    • CustomerCreditTransferInitiation
    • Debtor
    • DebtorAgent
    • FinancialInstitutionId
    • GroupHeader
    • OrganisationId
    • OtherIdentification
    • PainValidationDataDto
    • PaymentInformation
    • RemittanceInformation
    • SchemeName
    • CustomerPaymentErrorStatusReport
    • CustomerPaymentStatusReport
    • ErrorReason
    • Reason
    • InfoBlock
    • Envelope
    • ErrorStatusReasonInformation
    • StatusReasonInformation
    • SupplementaryInformation
    • TransactionInfoAndErrorStatus
    • TransactionInfoAndStatus
    • VopResponseDto
    • LookupRequestData
    • LookupRequest
    • LookupResponse
    • IBANResult
    • BadRequestResponse
    • BadRequestDetail
    • UnauthorizedResponse
    • UnauthorizedDetail
    • ForbiddenResponse
    • ForbiddenDetail
    • NotFoundResponse
    • NotFoundDetail
    • MethodNotAllowedResponse
    • MethodNotAllowedDetail
    • InternalServerErrorResponse
    • InternalServerErrorDetail
    • ServiceUnavailableResponse
    • ServiceUnavailableDetail
  1. IBAN Validation

API Specifications

POST
/iban_validate
Returns the validation results

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params multipart/form-data

Responses

🟢200
application/json
Valid IBAN response
Body

🟠400
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://mock.apidog.com/m1/1198618-0-default/iban_validate' \
--form 'iban="EE471000001020145685"' \
--form 'apiKey="apikey"' \
--form 'Content-Length="190"' \
--form 'Strict-Transport-Security="max-age=31536000; includeSubDomains"'
Response Response Example
200 - Success
{
    "Result": 200,
    "Message": "Valid IBAN Number",
    "Status": "Success",
    "Validations": [
        {
            "Result": 200,
            "Message": "Valid IBAN length"
        },
        {
            "Result": 200,
            "Message": "Valid IBAN Checksum"
        }
    ],
    "Expremental": 0,
    "Data": {
        "CountryCode": "EE",
        "IsoAlpha3": "EST",
        "CountryName": "Estonia",
        "CurrencyCode": "EUR",
        "SepaMember": "Yes",
        "Sepa": {
            "SepaCreditTransfer": "Yes",
            "SepaDirectDebit": "No",
            "SepaSddCore": "No",
            "SepaB2b": "No",
            "SepaCardClearing": "No"
        },
        "Bban": "1000001020145685",
        "BankAccount": "00102014568",
        "Bank": {
            "BankName": "AS SEB PANK",
            "Phone": "",
            "Address": "TORNIMAE 2 FLOOR 10",
            "Bic": "EEUHEE2X",
            "City": "TALLINN",
            "State": "",
            "Zip": "15010"
        }
    }
}
Previous
IBAN Validation
Next
Requester Batch Check Payee
Built with